"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * A template tag function that interprets the template literal and
 * interpolates it in the exact same way as a plain, non-tagged
 * template literal.
 */
function cooked(strings) {
    var subs = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        subs[_i - 1] = arguments[_i];
    }
    var length = strings.length;
    return strings
        .map(function (chunk, i) {
        if (length <= i) {
            return chunk;
        }
        return subs[i - 1] ? subs[i - 1] + chunk : chunk;
    })
        .join('');
}
exports.default = cooked;
